{
    "compilerOptions": {
        "target": "es5" /* Specify ECMAScript target version: 'ES3' (default), 'ES5', 'ES2015', 'ES2016', 'ES2017', 'ES2018', 'ES2019' or 'ESNEXT'. */,
        "module": "commonjs" /* Specify module code generation: 'none', 'commonjs', 'amd', 'system', 'umd', 'es2015', or 'ESNext'. */,
        "jsx": "react",
        "outDir": "./dist" /* Redirect output structure to the directory. */,
        "lib": ["es5", "dom", "es2015.promise", "es2015.collection", "es2015.symbol"],
        "types": ["node"],
        "allowJs": false,
        "resolveJsonModule": true,
        "declaration": true,
        "declarationDir": "./dist/",
        "strict": true /* Enable all strict type-checking options. */,
        "noImplicitAny": true /* Raise error on expressions and declarations with an implied 'any' type. */,
        "strictNullChecks": true /* Enable strict null checks. */,
        "strictFunctionTypes": true /* Enable strict checking of function types. */,
        "alwaysStrict": true /* Parse in strict mode and emit "use strict" for each source file. */,

        /* Additional Checks */
        "noUnusedLocals": true /* Report errors on unused locals. */,
        "noUnusedParameters": true /* Report errors on unused parameters. */,
        "noFallthroughCasesInSwitch": true /* Report errors for fallthrough cases in switch statement. */,
        "baseUrl": "./src" /* Base directory to resolve non-absolute module names. */,
        "esModuleInterop": true /* Enables emit interoperability between CommonJS and ES Modules via creation of namespace objects for all imports. Implies 'allowSyntheticDefaultImports'. */,

        /* Source Map Options */
        "sourceMap": true /* Generates corresponding '.map' file. */,

        /* Experimental Options */
        "experimentalDecorators": true /* Enables experimental support for ES7 decorators. */
    },
    "include": ["src/"],
    "exclude": ["dist/", "node_modules/"]
}
